<!-- When configuration condition is Active -->

<?php $_menu = $this->getHtml('level-top'); ?>

<?php $_helper = Mage::helper('catalog/category') ?>
<?php $_categories = $_helper->getStoreCategories() ?>
<?php $currentCategory = Mage::registry('current_category') ?>
<?php if (count($_categories) > 0): ?>
    <div id="megamenu-nav" class="megamenu-nav">
        <ul id="respMenu" class="ace-responsive-menu" data-menu-style="horizontal">
        <?php foreach($_categories as $_category): ?>
            <li  >
                <?php $_category = Mage::getModel('catalog/category')->load($_category->getId()) ?>
                <?php $_subcategories = $_category->getChildrenCategories() ?>
                <?php if (count($_subcategories) == 0): ?>
                <a href="<?php echo $_helper->getCategoryUrl($_category) ?>">
                    <?php echo $_category->getName() ?>
                </a>
                <?php else: ?>
                 <a href="javascript:void(0)">
                      <?php echo $_category->getName() ?>
                  </a>
                <?php endif; ?>
                
                <?php if (count($_subcategories) > 0): ?>
                 
                    
                     <ul >
                        <?php foreach($_subcategories as $_subcategory): ?>
                            <li  >
                                <?php $sub_category = Mage::getModel('catalog/category')->load($_subcategory->getId()) ?>
                                <?php $_sub_child_categories = $sub_category->getChildrenCategories() ?>
                                <?php if (count($_sub_child_categories) == 0): ?>
                                <a href="<?php echo $_helper->getCategoryUrl($_subcategory) ?>">
                                    <?php echo $_subcategory->getName() ?>
                                </a>
                                <?php else: ?>
                                <a href="javascript:void(0)">
                                    <?php echo $_subcategory->getName() ?>
                                </a>
                                <?php endif; ?>
                                
                                 <?php if (count($_sub_child_categories) > 0): ?>
                                  
                                    
                                     <ul >
                                    <?php foreach($_sub_child_categories as $sub_child_cat): ?>
                                        <li>
                                            <a href="<?php echo $_helper->getCategoryUrl($sub_child_cat) ?>">
                                                <?php echo $sub_child_cat->getName() ?>
                                            </a>
                                        </li>
                                        <?php endforeach; ?>
                                    </ul>
                                    
                                <?php endif; ?>
        
                            </li>
                        <?php endforeach; ?>
                    </ul>
                    
                <?php endif; ?>

            </li>
        <?php endforeach; ?>
         <?php foreach($collection as $c):?>
          <?php if(!empty($c)):?>
          <?php if($c['custommenuenable']=="1"): ?>
        <li  >
        <a href="<?php echo Mage::getBaseUrl(); ?><?php echo $c['menuurlkey']; ?>"><?php echo $c['custommenu']; ?></a>
        </li>
        <?php endif; ?>
         <?php endif; ?>
         <?php endforeach; ?>
        </ul>
    </div>
<?php endif;  ?>
<script>
jQuery(document).ready(function(){
    if (jQuery(window).width() < 767) {
        jQuery(".details_accordian").click(function(e){
        if(jQuery(this).hasClass("active"))
           {
               jQuery(".content_data").css("display","none");
               jQuery(this).parent('ul').css("display","block");
               jQuery(".details_accordian").removeClass("active");
               jQuery(this).removeClass("active");
               jQuery(this).children(".sub_menu_bg").children(".content_data").hide();
               jQuery(this).children(".child_menu_bg").children(".content_data").hide();
           }
           else
           {
               jQuery(".content_data").css("display","none");
               jQuery(this).parent('ul').css("display","block");
               jQuery(".details_accordian").removeClass("active");
               jQuery(this).addClass("active");
               jQuery(this).children(".sub_menu_bg").children(".content_data").css("display","block");
               jQuery(this).children(".child_menu_bg").children(".content_data").css("display","block");
           }
           
       })
    }
    else {
       jQuery('#megamenu-nav-main li').click(function(){
           var class_name = jQuery(this).attr('class');
           jQuery('#megamenu-nav-main li').removeClass('current');
           jQuery(this).addClass("current"); 
        })
    }
    
     jQuery("#respMenu").aceResponsiveMenu({
                 resizeWidth: '768', // Set the same in Media query       
                 animationSpeed: 'fast', //slow, medium, fast
                 accoridonExpAll: false //Expands all the accordion menu on click
             });
})
</script>

    

